
QGIS Application - Bug report #20749

Attribute form is out of sync with Source fields

2018-12-07 12:21 PM - Saber Razmjooei

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 28569

Description

To reproduce the bug:

1- Open a vector layer properties

2- Under Source fields, make the layer editable and add a column

3- Toggle editing and save the changes

4- Click on Attribute form. The newly added field is not there.

5- I have to close the properties and open it again to see it under forms

Related issues:

Related to QGIS Application - Bug report # 18462: Need to close the layer pro... Open 2018-03-16

History

#1 - 2018-12-07 12:53 PM - Harrissou Santanna

- Related to Bug report #18462: Need to close the layer properties dialog before a newly created field appears in Attribute form added

#2 - 2018-12-07 12:54 PM - Harrissou Santanna

Actually, it's more a duplicate than related. Right?

#3 - 2018-12-07 12:55 PM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2018-12-07 07:06 PM - Saber Razmjooei

- Resolution set to duplicate

- Status changed from Feedback to Closed

Thanks Harrissou, it's indeed a duplicate.
